Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Class SubTxAwareMessageParticipant

    java.lang.Object
      com.atomikos.icatch.msg.SubTxAwareMessageParticipant

All Implemented Interfaces:
  SubTxAwareParticipant, Serializable

    public class SubTxAwareMessageParticipant

extends Object
implements SubTxAwareParticipant

Copyright © 2005, Atomikos. All rights reserved. A subtx aware implementation that wraps a MessageParticipant.

See Also:
  Serialized Form

Constructor Summary
`SubTxAwareMessageParticipant(MessageParticipant mp)`

Method Summary
`void` | `committed(CompositeTransaction tx)` Notification of termination.
`void` | `rolledback(CompositeTransaction tx)` Notification that some tx has been rolledback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubTxAwareMessageParticipant

    public SubTxAwareMessageParticipant(MessageParticipant mp)

Method Detail

### committed

    public void committed(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification of termination.

  Specified by:
    `committed` in interface `SubTxAwareParticipant`
  Parameters:
    `tx` - The composite transaction that has terminated locally at its node.
  See Also:
    `SubTxAwareParticipant.committed(com.atomikos.icatch.CompositeTransaction)`

### rolledback

    public void rolledback(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification that some tx has been rolledback.

  Specified by:
    `rolledback` in interface `SubTxAwareParticipant`
  See Also:
    `SubTxAwareParticipant.rolledback(com.atomikos.icatch.CompositeTransaction)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.